Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# AdRequest

extends Object

java.lang.Object
↳ | com.google.android.gms.ads.AdRequest

## Class Overview

An `AdRequest` contains targeting information used to fetch an ad. Ad requests are created using `AdRequest.Builder`.

Publishers using DoubleClick for Publishers or Search Ads for Apps should use `PublisherAdRequest` or `SearchAdRequest`, respectively.

## Summary

Nested Classes
class | AdRequest.Builder | Builds an `AdRequest`.

Constants
int | ERROR_CODE_INTERNAL_ERROR | Something happened internally; for instance, an invalid response was received from the ad server.
int | ERROR_CODE_INVALID_REQUEST | The ad request was invalid; for instance, the ad unit ID was incorrect.
int | ERROR_CODE_NETWORK_ERROR | The ad request was unsuccessful due to network connectivity.
int | ERROR_CODE_NO_FILL | The ad request was successful, but no ad was returned due to lack of ad inventory.
int | GENDER_FEMALE | Female gender.
int | GENDER_MALE | Male gender.
int | GENDER_UNKNOWN | Unknown gender.

Fields
public static final String | DEVICE_ID_EMULATOR | The `deviceId` for emulators to be used with `addTestDevice(String)`.

Public Methods
Date | getBirthday() Returns the user's birthday targeting information.
int | getGender() Returns the user's gender targeting information.
Set<String> | getKeywords() Returns targeting information keywords.
Location | getLocation() Returns the user's location targeting information.
<T extends NetworkExtras> T | getNetworkExtras(Class<T> networkExtrasClass) Returns extra parameters to pass to a specific ad network adapter.
boolean | isTestDevice(Context context) Returns `true` if this device will receive test ads.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Constants

#### public static final int ERROR_CODE_INTERNAL_ERROR

Something happened internally; for instance, an invalid response was received from the ad server.

Constant Value: 0 (0x00000000)

#### public static final int ERROR_CODE_INVALID_REQUEST

The ad request was invalid; for instance, the ad unit ID was incorrect.

Constant Value: 1 (0x00000001)

#### public static final int ERROR_CODE_NETWORK_ERROR

The ad request was unsuccessful due to network connectivity.

Constant Value: 2 (0x00000002)

#### public static final int ERROR_CODE_NO_FILL

The ad request was successful, but no ad was returned due to lack of ad inventory.

Constant Value: 3 (0x00000003)

#### public static final int GENDER_FEMALE

Female gender.

Constant Value: 2 (0x00000002)

#### public static final int GENDER_MALE

Male gender.

Constant Value: 1 (0x00000001)

#### public static final int GENDER_UNKNOWN

Unknown gender.

Constant Value: 0 (0x00000000)

## Fields

#### public static final String DEVICE_ID_EMULATOR

The `deviceId` for emulators to be used with `addTestDevice(String)`.

## Public Methods

#### public Date getBirthday ()

Returns the user's birthday targeting information. Returns `null` if the birthday was not set.

#### public int getGender ()

Returns the user's gender targeting information. Returns `-1` if the gender was not set.

#### public Set<String> getKeywords ()

Returns targeting information keywords. Returns an empty `Set` if no keywords were added.

#### public Location getLocation ()

Returns the user's location targeting information. Returns `null` if the location was not set.

#### public T getNetworkExtras (Class<T> networkExtrasClass)

Returns extra parameters to pass to a specific ad network adapter. Ad network adapters provide a `NetworkExtras` class. Returns `null` if no network extras of the provided type were set.

#### public boolean isTestDevice (Context context)

Returns `true` if this device will receive test ads.